<?php

/**
 * Active Callbacks
 *
 * @package dark_fitness
 */

// Theme Options.
function dark_fitness_is_pagination_enabled( $dark_fitness_control ) {
	return ( $dark_fitness_control->manager->get_setting( 'dark_fitness_enable_pagination' )->value() );
}
function dark_fitness_is_breadcrumb_enabled( $dark_fitness_control ) {
	return ( $dark_fitness_control->manager->get_setting( 'dark_fitness_enable_breadcrumb' )->value() );
}
function dark_fitness_is_layout_enabled( $dark_fitness_control ) {
	return ( $dark_fitness_control->manager->get_setting( 'dark_fitness_website_layout' )->value() );
}
function dark_fitness_is_pagetitle_bcakground_image_enabled( $dark_fitness_control ) {
	return ( $dark_fitness_control->manager->get_setting( 'dark_fitness_page_header_style' )->value() );
}
function dark_fitness_is_preloader_style( $dark_fitness_control ) {
	return ( $dark_fitness_control->manager->get_setting( 'dark_fitness_enable_preloader' )->value() );
}

// Header Options.
function dark_fitness_is_topbar_enabled( $dark_fitness_control ) {
	return ( $dark_fitness_control->manager->get_Setting( 'dark_fitness_enable_topbar' )->value() );
}

// Banner Slider Section.
function dark_fitness_is_banner_slider_section_enabled( $dark_fitness_control ) {
	return ( $dark_fitness_control->manager->get_setting( 'dark_fitness_enable_banner_section' )->value() );
}
function dark_fitness_is_banner_slider_section_and_content_type_post_enabled( $dark_fitness_control ) {
	$content_type = $dark_fitness_control->manager->get_setting( 'dark_fitness_banner_slider_content_type' )->value();
	return ( dark_fitness_is_banner_slider_section_enabled( $dark_fitness_control ) && ( 'post' === $content_type ) );
}
function dark_fitness_is_banner_slider_section_and_content_type_page_enabled( $dark_fitness_control ) {
	$content_type = $dark_fitness_control->manager->get_setting( 'dark_fitness_banner_slider_content_type' )->value();
	return ( dark_fitness_is_banner_slider_section_enabled( $dark_fitness_control ) && ( 'page' === $content_type ) );
}

// Service section.
function dark_fitness_is_service_section_enabled( $dark_fitness_control ) {
	return ( $dark_fitness_control->manager->get_setting( 'dark_fitness_enable_service_section' )->value() );
}
function dark_fitness_is_service_section_and_content_type_post_enabled( $dark_fitness_control ) {
	$content_type = $dark_fitness_control->manager->get_setting( 'dark_fitness_service_content_type' )->value();
	return ( dark_fitness_is_service_section_enabled( $dark_fitness_control ) && ( 'post' === $content_type ) );
}
function dark_fitness_is_service_section_and_content_type_page_enabled( $dark_fitness_control ) {
	$content_type = $dark_fitness_control->manager->get_setting( 'dark_fitness_service_content_type' )->value();
	return ( dark_fitness_is_service_section_enabled( $dark_fitness_control ) && ( 'page' === $content_type ) );
}